package pathgame.logging;

import pathgame.gameplay.Player;
import pathgame.tilemap.TileMap;

public class Logger
{
    public static void onLevelReset(int level, Player p, TileMap map)
    {
        System.out.println("Level Reset " + level);
    }
    
    public static void onTileEnter(Player p, TileMap map, int x, int y)
    {
        System.out.println("Tile Enter " + x + " " + y);
    }
    
    public static void onTileLeave(Player p, TileMap map, int x, int y)
    {
        System.out.println("Tile Leave " + x + " " + y);
    }
    
    public static void onWin(Player p, TileMap map)
    {
        System.out.println("Win");
    }
}
